<<ID Manager 履歴>>

 Ver.7.9 アイテム複製時にシリアルナンバーが複製されないのを修正
         メニューにURLとEMailをクリップボードへコピーを追加
         XML出力の改行コードをCR+LFでない箇所を修正
 Ver.7.8 ファイルの指定アイコンが消えないように
         シリアル貼り付けを隠すの時、再起動時メニューにチェックされないのを修正
         ツールバー設定のクリップボード経由で貼り付けがチェックされないのを修正
 Ver.7.7 DelayTimeの1UP/DOWN変更も4桁に対応
         ファイルの貼り付けアイコンが文字列になっていたのを修正
 Ver.7.6 タスクトレイのフリガナのポップアップを消せない不具合を修正
         DelayTimeを4桁入力可能に
         CSV, XMLエクスポート時にファイル名が自動で入るように
         ディスプレイ環境変更時に画面の外に出ないように
         F10でファイルを開くが動作しない不具合を修正
 Ver.7.5 新規ユーザー作成時にエラーが出る不具合を修正
         ユーザー情報のカタカナ貼り付けができない不具合を修正
         CSV出力に不具合があったのを修正
 Ver.7.4 ユーザー情報の最大文字数を64文字から256文字に
         ユーザー情報の姓名にカタカナを追加
         HOMEとENDを一括貼り付けに追加
         貼り付けタイプ新規作成時に内容の編集ができないのを修正
 Ver.7.3 Fileに参照ボタンを追加
         CAPSロックのONをパスワード入力のときにわかる機能を追加
         SHIFT+HOMEを一括貼り付けに追加
 Ver.7.2 ホットキーの選択肢を追加
         ホットキーのポップアップの場所をカーソルの場所に
         エクスポートのデフォルトのファイル名のデフォルトをユーザー名でセット 
 Ver.7.1 F10でファイルを開くが動作しない不具合を修正
         クリップボードをクリアしないオプションを追加
 Ver.7.0 バージョン情報のURLを開くブラウザをIDMの設定を使用するように変更
         SHIFT+ENDとDELETEキーを貼り付けタイプに追加
         CSVのインポート、エクスポートにSerial Numberを追加
         最上位のフォルダを最上位へ移動することができないように
         タスクトレイからファイルを実行できる機能を追加
 Ver 6.9 FTPのメッセージが間違っていたのを修正
         半透明オプションを選択しないときにパフォーマンス低下しないように改良
         パスワード置換を更新禁止時にはできないように変更
         最後に開いた項目を記憶しないオプションを追加
         XMLエクスポートで上書きの警告が出るように修正
         DELキーでアイテムを削除できるように変更
 Ver.6.8 言語ファイルをXMLとして分離
         シリアルナンバーを隠すアイコンをツールバーの動作不具合を修正
         メモ欄でCtrl+Aが使えるように変更
         FTP情報を設定しないでFTP接続をするとハングアップする不具合を修正
         ウィンドウを半透明にするオプションを追加
         デフォルトの貼り付けタイプを編集できないようにUIに制限を設けた
 Ver.6.7 パスワードロックのダイアログの文字化けを修正
         パスワード自動生成ウィンドウの誤字を修正
         印刷時にSerial Numberが表示されるように修正
         シリアルナンバーを隠すオプションを追加
         パスワードロックをタスクトレイ常駐時のみ使用可とした
         クリップボード経由で通常貼り付けをしたときもクリップボードをクリアに
         終了時もクリップボードをクリア
         貼り付けタイプの[SHIFT+TAB]と勤務先が使用できなかった不具合を修正
 Ver.6.6 貼り付けタイプが設定できないバグを修正
         中国語（繁体字）に対応
 Ver.6.5 アイテムの名前の幅変更時にボタンが消えてしまう不具合を修正
         ブラウザのパス指定のときにオプションをつけられるように修正
         メモ欄の最大文字数を全角32767文字に拡張
         explorerの再起動でタスクトレイのアイコンが消えないように修正
         英語と日本語の言語の選択をメニューから可能に
 Ver.6.4 アイテムの名前の幅を変更可能に
         ツリービューが完全に消えないように修正
         フォントサイズを変更した際に画面のレイアウトを自動的に変える機能を追加
         終了時にフォルダの状態を保存するするように変更
         デフォルトユーザが存在しない場合、現在のユーザを登録するように変更
         ユーザ削除時にユーザの一覧を正しく表示できなくなっていた不具合を修正
         ハイフンをTABとして入力する項目Serial Numberを追加
         貼り付けのショートカットをCtrl+Dに変更
         終了時に自動保存するのオプションを追加
         Windowsの終了時にキャンセルを追加
 Ver.6.3 FTP通信時、ディレクトリ設定が正しくないとハングアップする不具合を修正
         FTP通信時のメッセージをより細かく
         通常貼り付け時の動作の改善
         常に手前に表示でない時、貼り付け後に前面に戻さないように変更
         ログインスキップ時にデフォルトユーザが設定されてないときのエラーを修正
 Ver.6.2 タスクトレイのメニューの順番を変更
         初回起動時にエラーメッセージがでる不具合を修正
         常に手前に表示でないときの貼り付け時の挙動を変更
 Ver.6.1 自動保存機能を削除
         過去のデータが読めなくなることがある不具合を修正
         クリップボード経由の一括貼り付けがうまく動作しない不具合を修正
         常に手前に表示時、貼り付けがうまくいかない場合があるのを修正
         項目デフォルトが保存されなくなっていた不具合を修正
         データ読み込み時のパフォーマンスを改善
         期限切れ時刻の判定の不具合を修正
         データに">という文字列があると読み込めない不具合を修正
         ロック時のパスワード入力画面で貼り付け他が有効になっていた不具合を修正
         パスワード生成の文字数が1-32となっていたのを1-128に修正
 Ver.6.0 XML形式での入出力に対応
         データの保存形式をリニューアル
         パスワード自動作成、置き換え時に自動的に日付を更新する機能を追加
         FTPでのエラーメッセージを見直し
         パフォーマンスの向上
         データ保存時のベリファイオプションを追加
         過去のデータを保存するオプションを単純化
         自動でミラーバックアップする機能を追加
         更新禁止で日付と貼り付けタイプも変更禁止に
         新規ユーザ作成時にパスワードの確認をするように変更
 Ver.5.6 ログインのスキップができない問題を修正
         ブラウザの変更が保存されない問題を修正
         ツールバーのFTPアップロードボタンが消えないバグを修正
         ホットキーが動作しないバグを修正
 Ver.5.5 ユーザー変更時にキャンセルを押すと、ユーザ名を混乱してしまう問題を修正
         IDM.iniの場所を"IDM.exeと同じ場所"からカレントディレクトリに変更
         一括貼り付けに設定できる項目を追加
         フォント変更時の不具合を修正
         FTPアップロード時にエラーメッセージがでるのを修正
 Ver.5.4 F8キーが動作しなかったのを修正
         Ctrl+Fを検索ショートカットに変更
         FTP接続に失敗した場合にハングアップする不具合を修正
         Title, URL, e-mail, Fileの文字数を256文字に拡張
         項目名を128文字に拡張
         FTPのパスワードを暗号化
         世代バックアップを２世代に拡張
         自動展開のオプションがセーブされない不具合を修正
         ツールバーの表示オプションがセーブされない不具合を修正
         縦表示の時、Windowサイズが変更されない不具合を修正
         タスクトレイにURLを開くメニューを追加
 Ver.5.3 ログインのスキップができない問題を修正
         FTPのPASVモードに対応
         FTP接続に失敗した場合にハングアップする不具合を修正
 Ver.5.2 データの保存がうまくされないバグを修正
         FTPサイトにアップロードしない機能が保存されないのを修正
         TreeViewでF2キーを押したら、編集モードに入る機能を追加
 Ver.5.1 FTPサイトを利用したデータの保存機能を追加
         データ書き込み時のベリファイを簡略化し、速度向上
         ユーザの変更がうまくいかない場合がある不具合を修正
         ブラウザの開き方を選べるように変更
         パスワードロックのウィンドウがアクティブにならなかったのを修正
 Ver.5.0 ウィンドウの保存がうまくいかない不具合を修正
         データ保存先の認識がうまくいかない不具合を修正
         新規ユーザの登録がうまくされない場合がある不具合を修正
 Ver.4.9 デフォルトユーザが保存されない不具合を修正
         ウィンドウサイズを保存しないオプションを追加
         CSVへの書き出し時に削除した項目が書き出されてしまう不具合を修正
 Ver.4.8 データの保存先を相対パスで設定できるように変更
         パスワード変更が即時反映されない不具合を修正
         ユーザの変更がうまくいかない不具合を修正
         個人情報変更後に保存確認メッセージがでなかったのを修正
 Ver.4.7 エクスポート、インポートの機能がおかしかったのを修正
         URLの呼び出し時にURLを""で囲むように変更
 Ver.4.6 メインメニューを整理
         タスクトレイからのメニューにアイコンを表示
         クリップボードからの貼り付けを復活、貼り付け方法を選べるように
         タスクトレイからURLを開けるように
         TABの張り付けタイミングがずれてしまっていたのを修正
         起動時にデータファイルのタイムスタンプを更新しないように修正
 Ver.4.5 保存時に正しく保存されているか確認するように変更
         保存の方法を多少変更し、保存ボタンを追加
         CSVの読み込み時に貼り付けタイプがクリアされない不具合を修正
         インポートがうまくいかない場合がある不具合を修正
         検索ダイアログの動作を変更
 Ver.4.4 WinXPでタスクトレイのポップアップが２重になる不具合を修正
         ログイン画面のヘルプが間違っていたので、削除
         英語への対応
         パスワードロック時にメニューにアクセスできてしまうのを修正
         ログイン画面からのディレクトリの変更時OKが押せない場合があったのを修正
         バックアップに失敗しましたというメッセージが不自然にでる不具合を修正
         WindowsXPでタスクトレイに登録されない場合があるのを修正
 Ver.4.3 貼り付け時に全角文字が文字化けする不具合を修正
         起動時に青い余白ができてしまう場合が有るのを修正
 Ver.4.2 検索時のメモリリークを修正
         検索時に大文字小文字を区別しないオプションを追加
         ユーザの変更コマンドを追加
         ユーザ情報の”貼り付け”の文字を消去
 Ver.4.1 項目の変更ができなくなっていたバグを修正
         起動時にタスクトレイに常駐ができなくなっていたバグを修正
 Ver.4.0 ファイルの保存パスを正しく認識してくれない場合があるのを修正
         メニューの一部がアクティブにならないバグを修正
         リソースの消費を軽減するように修正
         常に手前に表示時のメイン以外のウィンドウの動作を変更
         常に手前に表示時にツールボタンが正しく動作していなかったのを修正
         パスワードの生成で、グループにも貼り付けができてしまうのを修正
         パスワードの生成をモーダルでないウィンドウに変更
         検索ウィンドウの動作を改良
         一部アイテムの表示/非表示を可能に
         ツールバーのカスタマイズの不具合を修正
         ログイン時にディレクトリの指定ができるように修正
 Ver.3.9 一括貼り付けの設定キーにSHIFT+TABを追加
         マルチディスプレイで表示がうまく出来なかったのを修正
         CSVファイルへの書き出し時、全ての項目を""で囲むように修正
         貼り付け時にクリップボードを経由しない貼り付け方法に変更
         Iniファイルの読み書きを高速化
         メニューを一部変更
         ブラウザの設定でexeファイルが参照できなかった不具合を修正
         一括貼り付けのカスタマイズ時の操作を改善
 Ver.3.8 タスクバーからの一括貼り付けができなくなっていたバグを修正
         タイトルの最初の文字に空白を許可しないように修正
         オートセーブのインターバルのスケールが間違っていたのを修正
         タスクバーからのユーザー情報貼り付けをサブメニュー化
         ブラウザを開くときに新しいウィンドウで開くように改良
         ブラウザのパスを指定できる機能を追加
 Ver.3.7 ツールバーのカスタマイズ機能を追加
         ツリー全体の縮小時に動作がおかしくなることがあったのを修正
         Iniファイルの読み込みのパス指定の不具合を修正
         Itemが最上位に移動できるバグを修正
         データが正常に読み込まれない可能性があるバグを修正
         タスクトレイ非常駐時にパスワードロックがきかないバグを修正
         バージョンアップの際にPaste Typeが設定されない場合があるのを修正
         CSVファイル読み込み時に警告を出すように修正
 Ver 3.6 ホットキーでポップアップしたときにフォーカスが移らない不具合を修正
         INIファイルの更新時に不要な項目を削除するように改良
         一括貼り付けのカスタマイズを項目ごとにできるように改良
         登録日と変更予定日の項目を追加
         空白の項目の貼り付け時の不具合を修正
         一括貼り付けのカスタマイズ情報をdatファイルに保存するように変更
         ログインのスキップ機能の不具合を修正
         新規作成したときに更新禁止を自動的に解除するオプションを追加
         保存時に正しく保存されないバグがあったのを修正
         メニューからできない操作があったのを修正
 Ver 3.5 更新禁止時の色を設定
         ツールバーに項目の上下移動を追加
         ユーザーの削除機能を追加
         データファイルのパスを指定できるように変更
         クリップボードクリアオプションで貼り付けタイミングがずれる問題を修正
         フォントの変更をすべてのWindowに反映するように修正
         内部構造の見直しで多少の高速化
         ツリービューからのTitleの変更ができない不具合を修正
         CSVファイルからの読み込み時の不具合を修正
 Ver 3.4 デフォルトユーザーが設定されていないときに自動的に設定されるように修正
         ログイン画面をスキップするオプションを追加
         印刷時の不具合を修正
         一括貼り付けのカスタマイズにEnterキーを追加
         ホットキーによる貼り付けメニューのポップアップに対応
         検索Windowの動作を改良
         ESCキーで各種Windowsを閉じられるように改良
         ツリー上で右クリックでも項目の選択可能に改良
         文字のスタイルを変更できるように修正
 Ver 3.3 CSV形式からの読み込み
         アイテムのないファイルを読み込んだときのツールボタン不具合を修正
         クリップボードをクリアするオプションを追加
         縦型レイアウトへの変更オプションを追加
         ツリーの展開、縮小オプションを追加
         一括貼り付けのカスタマイズ機能を追加
         最小化時のパスワード入力の不具合を修正
         各種ウィンドウをデフォルトで画面の中央に出すように修正
 Ver 3.2 コメント欄の下スクロールができなかったのを修正
         データのインポートでOKボタンが押せない場合があるのを修正
         自動的に一世代前のデータをバックアップする機能を追加
         タスクトレイからの項目選択時に一括貼り付けを行うように修正
         ユーザー名の変更時に古いユーザーを削除するかどうかを聞くように改良
         ツールバーにいくつかボタンを追加
         設定画面をタブ表示に変更
 Ver 3.1 更新禁止のときに貼り付けが効かなくなるのを修正
         更新禁止のときに色が変わらないように修正
         更新禁止のときに検索できなくなるのを修正
         個人情報の貼り付けの際に、データの内容がメニューにでてくるように修正
         項目の複製のボタンの動作がおかしかったのを修正
         Title、Account、Password、Item1、Item2の文字制限を128文字に拡張
         検索時Enterキーで検索を開始するように変更
         個人情報に郵便番号を追加
         関連ファイルの項目を追加
         最大項目数を10,000に拡張
         マルチユーザーへの対応
         データファイルの名前をIDM.datからユーザ名+.datに変更
         パスワードが空のとき自動的に立ち上がる機能を削除
         ツリービューの自動展開時の動作がおかしいのを修正
         URL、E-mail、Fileの項目に転送機能を追加
         CSV出力時の不具合を修正と形式の変更
         配布時の圧縮形式をzipに変更
 Ver 3.0 検索機能を追加
         ID Manager自身に貼り付けないよう修正
         ユーザー情報の貼り付けをメインメニューに追加
         更新禁止機能を追加
         項目の複製機能を追加
         ツリー部の編集でTitleが32文字以上入力できてしまうのを修正
         貼り付けのショートカットキーを変更し正常動作するように修正
         フォルダがなくても項目の作成ボタンが押せてしまうバグを修正
 Ver 2.9 バックアップの保存オプションを追加
         INIファイルが作成されないバグを修正
         常駐したままWindowsを終了すると保存されない不具合を修正
         個人情報の項目追加
         Account IDとPasswordの項目名を変更可能に
         追加項目の項目名をユーザー指定で固定に
         メニューとツリービューのアイコンを表示、非表示切り替えを可能に
         ツリービューからのTitle変更に対応
         フォルダ、アイテムの上下移動に対応
         ホットキーでの操作を可能に
 Ver 2.8 Item1,Item2のマスク表示を追加
         INIファイルが書き込み禁止のときにエラーを出さないように変更
         パスワード設定してないときログイン画面が出ないように修正
         常駐したままWindowsを終了すると保存されない不具合を修正
         起動時にタスクトレイに常駐オプションを追加
         コメント覧の下へのスクロールボタンが表示されない不具合を修正
 Ver 2.7 パスワードを設定しないとデータが消える場合があるのを修正
         インポート時のパスワード読み込みの不具合を修正
 Ver 2.6 タスクトレイからの項目選択のバグを修正
         フォルダのドラッグアンドドロップの移動に対応
         サブフォルダの最上位への移動をサポート
         ツリービューのドラッグアンドドロップ中のスクロールをサポート
         ツリービューでの右クリック選択を改善
         ソート時にフォルダとアイテムを整理するように変更
         Ｘボタンでタスクトレイに収納したとき、おかしくなる不具合を修正
         ある条件下でパスワードなしでもログインできる不具合を修正
         インポート時に登録パスワードを入力するように変更
 Ver 2.5 コメントの最大文字数を10000文字に拡大
         一部情報が暗号化されないバグを修正
         最大項目数を1024個に拡張
         個人情報を扱う事が可能に
         e-mailの項目を追加
         すべての項目に自動貼り付け機能を追加
         エクスポート、インポートの機能を追加
         フォルダを複数階層化
 Ver 2.4 ツールバー表示/非表示の不具合を修正
         ログイン時のファイル読み込みの不具合を修正
         元のサイズに戻すときパスワードロックをかけられるよう修正
         数字入力ボックスに上下ボタンを追加
         オートセーブの機能を追加
         メニューにアイコンを表示してみやすく
 Ver 2.3 ツール類のアイコンを少し変更
         フォントの指定機能を追加
 Ver 2.2 CSVファイル出力の際に"や,が含まれていても、
         EXCELで開くと正常に認識されるように修正
         ツールバーの表示/非表示メニューを追加
         ブラウザでURLを表示コマンドが動かない不具合を修正
         Windowサイズ変更時、コメントの領域が拡大されない不具合を修正
         iniファイルを配布時には添付せず、実行時に作成するように変更
 Ver 2.1 項目一覧の表示オプションを追加
         Windowsで大きいフォントを選択したときにウィンドウがおかしくなるのを修正
         パスワード置換ボタンが押せないのを修正
         バージョン情報表示時などのときにはポップアップを制限
         ツリービューで名前を変更できないように修正
         常に手前に表示の不具合を修正
 Ver 2.0 項目のグループ化をできるように修正
         コメントの最大文字数を1024文字へ拡大
         Item2のクリップボードへの貼り付けの不具合を修正
         マスク表示の状態をINIファイルに保存できるように修正
         タスクトレイでのポップアップの動きを改良
         タスクトレイから貼り付けを可能に
         タスクトレイから項目の選択が可能に
         タスクトレイ使用時に×ボタンで終了しないように修正
         読み込みボタンを削除
         保存ボタンを削除し、自動的に保存するように変更
         IDM.datを配布時には添付しないように修正
         アイコンを変更
         暗号化を強化
         IDM.datファイルのサイズのスリム化
         IDM.datファイル読み込みの高速化
 Ver 1.9 パスワードの変更時に保存ボタンを押さずに終了すると、
         データがおかしくなるバグを修正
         一括貼り付けの際のDelayTimeのデフォルトを10に変更
         AccountとIDがないときの一括貼り付けの動作を改善
 Ver 1.8 直前に操作していたウィンドウに自動で貼り付ける機能を追加
         タスクトレイに常駐の設定ウィンドウを修正
 Ver 1.7 アイテム削除時の不具合を修正
         パスワードの自動生成機能を追加
         ショートカットキーを追加
         ウインドウの最大値を廃止
 Ver 1.6 表示の不具合を修正
         常に手前に表示の状態を保存できるように修正
 Ver 1.5 終了時の不具合を修正
 Ver 1.4 タスクトレイに入れる機能を追加
         datファイルの保存先の不具合を修正
         ウィンドウデザインを変更
         ウィンドウの最小値を設定
         ウインドウの大きさを保存するように変更
 Ver 1.3 項目がない状態での動作不具合を修正
         全角文字で不具合が出ていたのを修正
 Ver 1.2 ロードの際の確認メッセージを追加
         項目の新規作成ボタンを追加
         クリップボードにコピーする機能を追加
         ツリー表示の幅を自由に変更できるように改良
         ウィンドウの大きさを自由に変更できるように改良
         URL項目を追加
         IDMの立ち上げにパスワードを要求するように変更
         INIファイルを追加
         印刷機能の追加
         CSVファイルへの出力を追加
         データファイルの暗号化を強化
         ２重起動を防止
         並べ替え機能を追加
 Ver 1.1 BORLAND.DLLなしでも動くように変更
 Ver 1.0 正式公開版完成
